Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eSentenceType
    R = 0
    S = 1
    P = 2
    H = 3
    EUH = 4
End Enum
<DefaultClassOptions()>
<NavigationItem("GeneralStock")>
Public Class Sentence
    Inherits BaseObject

    Private _SentenceType As eSentenceType
    Private _ShortName As String
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property SentenceType As eSentenceType
        Get
            Return _SentenceType
        End Get
        Set(value As eSentenceType)
            SetPropertyValue("SentenceType", _SentenceType, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName

        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(1000)>
    Property Description As String
        Get
            Return _Description

        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class


